System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.XmlLinkedNode None.

Provides text manipulation methods that are used by several classes.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  String that contains character data to be added to document.
  to contain character data.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method raises the XmlNodeChangedAction.Change event.

  Appends the specified string to the end of the character data of the node.

  The string to insert into the existing string.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The data returned is equivalent to the property.

  Contains the data of the node.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method raises the XmlNodeChangedAction.Change event.

  Removes a range of characters from the node.

  The position within the string to start deleting. The number of characters to delete.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property is a Microsoft extension to the Document Object Model (DOM).

  Gets or sets the concatenated values of the node and all the children of the node.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method raises the XmlNodeChangedAction.Change event.

  Inserts the specified string at the specified character offset.

  The position within the string to insert the supplied string data. The string data that is to be inserted into the existing string.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the length of the data, in characters.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method raises the XmlNodeChangedAction.Change event.

  Replaces the specified number of characters starting at the specified offset with the specified string.

  The position within the string to start replacing. The number of characters to replace. The new data that replaces the old string data.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` `` To be added

  Retrieves a substring of the full string from the specified range.

  The substring corresponding to the specified range.

  The position within the string to start retrieving. An offset of zero indicates the starting point is at the start of the data. The number of characters to retrieve.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the value of the node.